View Issue Details

IDProjectCategoryView StatusLast Update
0001950SymmetricDSBugpublic2014-09-17 18:01
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.7 
Target Version3.6.8Fixed in Version3.6.8 
Summary0001950: Reinsert of sym_data_gap after it has been purged can fall outside of captured sym_data range
DescriptionIf sym_data_event has been totally purged the start_id for sym_data_gap will be 0. If the sym_data.data_id min value is greater than the routing.largest.gap.size, then the inserted gap will be too small for data to be routed. The end_id should be based on the max(data_id) from sym_data, not sym_data_event.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 1e0fcde1

2014-09-02 20:45:24

chenson

Details Diff
0001950: Reinsert of sym_data_gap after it has been purged can fall outside of captured sym_data range
0001950
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2014-09-02 20:45 chenson New Issue
2014-09-02 20:45 chenson Status new => assigned
2014-09-02 20:45 chenson Assigned To => chenson
2014-09-02 20:45 chenson Status assigned => resolved
2014-09-02 20:45 chenson Fixed in Version => 3.7.0
2014-09-02 20:45 chenson Resolution open => fixed
2014-09-02 21:00 chenson Changeset attached => SymmetricDS trunk r8659
2014-09-12 11:16 chenson Fixed in Version 3.7.0 => 3.6.8
2014-09-12 11:16 chenson Target Version 3.7.0 => 3.6.8
2014-09-12 12:00 chenson Changeset attached => SymmetricDS 3.6 r8686
2014-09-17 18:01 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1e0fcde1